package ansi_test

import (
	"os"
	"testing"

	"git.akyoto.dev/go/color"
	"git.akyoto.dev/go/color/ansi"
)

func Test(t *testing.T) {
	color.Terminal = true
	testColors()
}

func TestPrintRaw(t *testing.T) {
	color.Terminal = false
	testColors()
}

func testColors() {
	ansi.Black.Fprint(os.Stdout, "Black\n")
	ansi.White.Fprint(os.Stdout, "White\n")
	ansi.Red.Fprint(os.Stdout, "Red\n")
	ansi.Green.Fprint(os.Stdout, "Green\n")
	ansi.Blue.Fprint(os.Stdout, "Blue\n")
	ansi.Yellow.Fprint(os.Stdout, "Yellow\n")
	ansi.Magenta.Fprint(os.Stdout, "Magenta\n")
	ansi.Cyan.Fprint(os.Stdout, "Cyan\n")

	ansi.Black.Print("Black\n")
	ansi.White.Print("White\n")
	ansi.Red.Print("Red\n")
	ansi.Green.Print("Green\n")
	ansi.Blue.Print("Blue\n")
	ansi.Yellow.Print("Yellow\n")
	ansi.Magenta.Print("Magenta\n")
	ansi.Cyan.Print("Cyan\n")

	ansi.Black.Printf("%s\n", "Black")
	ansi.White.Printf("%s\n", "White")
	ansi.Red.Printf("%s\n", "Red")
	ansi.Green.Printf("%s\n", "Green")
	ansi.Blue.Printf("%s\n", "Blue")
	ansi.Yellow.Printf("%s\n", "Yellow")
	ansi.Magenta.Printf("%s\n", "Magenta")
	ansi.Cyan.Printf("%s\n", "Cyan")

	ansi.Black.Println("Black")
	ansi.White.Println("White")
	ansi.Red.Println("Red")
	ansi.Green.Println("Green")
	ansi.Blue.Println("Blue")
	ansi.Yellow.Println("Yellow")
	ansi.Magenta.Println("Magenta")
	ansi.Cyan.Println("Cyan")
}
